---
search:
  tags:
    - Project modules
    - GET
seo:
  description: >-
    Early access: request API access for your workspace at… Reference for the
    GET /v1/projects/{projectId}/modules endpoint in the Bauhow API.
sidebar:
  label: List the modules of a project
  badge: GET
title: List the modules of a project
type: openapi-operation
---
**Early access:** request API access for your workspace at https://bauhow.com/support before using this endpoint.

`GET /v1/projects/{projectId}/modules`

**Responses**

- `200` — OK

Response example, 200:

```json
{
  "data": [
    {
      "id": "string",
      "projectId": "string",
      "moduleKey": "project-information",
      "status": "not_started",
      "schemaVersion": -9007199254740991,
      "payload": {
        "property1": null,
        "property2": null
      },
      "validationState": {
        "property1": null,
        "property2": null
      },
      "lockedReason": "string",
      "lastCompletedAt": "2019-08-24T14:15:22Z",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ]
}
```
